
QGIS Application - Bug report #10202

QGIS crashes when displaying joined data with graduated symbology

2014-05-07 05:54 AM - Jonathan Moules

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18648

Description

Seems like a pretty serious issue.

Add the attached two layers.

- Open the properties for the shapefile and join the xls to it; use the defaults.

- Press apply/ok. Works fine.

- Re-open layer properties on the shapefile, go to style, Change to graduated. Change column to "properties per postcode".

- Press apply. Assuming the layer is visible, QGIS will crash out almost instantly.

--

Using Master 235795b

Associated revisions

Revision ff9356f4 - 2014-06-10 02:05 PM - Martin Dobias

Fix #10202 (fix crash in graduated symbol renderer)

History

#1 - 2014-05-08 06:57 AM - Giovanni Manghi

- Target version set to Version 2.4

- Category set to Symbology

- Priority changed from High to Severe/Regression

It happens also on 2.2 but not 2.1 then is a regression.

#2 - 2014-06-06 03:24 AM - Regis Haubourg

Bug still here in 3e8f74f

#3 - 2014-06-10 03:27 AM - Martin Dobias

- Assignee set to Martin Dobias

#4 - 2014-06-10 05:09 AM - Martin Dobias

- Status changed from Open to Closed
Fixed in changeset commit:"ff9356f477fc19307a8f2c4e5b3c9442cc2cb5da".

#5 - 2014-06-10 05:24 AM - Martin Dobias

- Status changed from Closed to In Progress

Created a follow up bug report #10522 to fix additional cases where fields like the one in the attached data ("properties_per_postcode -

Copy_households") do not behave correctly (no crashes though).

#6 - 2014-06-10 05:24 AM - Martin Dobias

- Status changed from In Progress to Closed

Files

data.zip 599 KB 2014-05-07 Jonathan Moules
